cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/agent-builder/agents/{id}/outcome-prompts \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/agent-builder/agents/{id}/outcome-prompts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/agent-builder/agents/{id}/outcome-prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"outcomePrompts": {
"opt_out": {
"id": "opt_out",
"outcome": "opt_out",
"label": "Opt out",
"current": "Whether the lead explicitly asked not to be contacted again.",
"prompt": "Whether the lead explicitly asked not to be contacted again.",
"default": "Whether the lead explicitly asked not to be contacted again."
},
"callback": {
"id": "callback",
"outcome": "callback",
"label": "Callback",
"current": "Whether the lead asked for a callback at a later time.",
"prompt": "Whether the lead asked for a callback at a later time.",
"default": "Whether the lead asked for a callback at a later time."
},
"human_needed": {
"id": "human_needed",
"outcome": "human_needed",
"label": "Human needed",
"current": "Whether a human team member needs to review or follow up.",
"prompt": "Whether a human team member needs to review or follow up.",
"default": "Whether a human team member needs to review or follow up."
},
"asked_for_info": {
"id": "asked_for_info",
"outcome": "asked_for_info",
"label": "Asked for info",
"current": "Whether the lead asked to receive additional information.",
"prompt": "Whether the lead asked to receive additional information.",
"default": "Whether the lead asked to receive additional information."
}
}
}Get outcome prompts
Read the current and default post-call field descriptions for the editable outcome cards.
Required API key scope: campaigns:read.
GET
/
api
/
agent-builder
/
agents
/
{id}
/
outcome-prompts
cURL
⌘I
